#	MLT Python Bindings is a program that allows Python to use the MLT video editing
#	framework to edit videos.
#	
#	This file is part of OpenShot Video Editor (http://launchpad.net/openshot/).
#	Copyright (C) 2009  Jonathan Thomas
#
#	OpenShot Video Editor is free software: you can redistribute it and/or modify
#	it under the terms of the GNU General Public License as published by
#	the Free Software Foundation, either version 3 of the License, or
#	(at your option) any later version.
#
#	OpenShot Video Editor is distributed in the hope that it will be useful,
#	but WITHOUT ANY WARRANTY; without even the implied warranty of
#	MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
#	GNU General Public License for more details.
#
#	You should have received a copy of the GNU General Public License
#	along with OpenShot Video Editor.  If not, see <http://www.gnu.org/licenses/>.

import glob, os, sys, subprocess

print "Execution path: %s" % os.path.abspath(__file__)

# Get version of Python
py_version = "%s.%s" % (sys.version_info[0], sys.version_info[1])
print "Python Version: %s" % py_version

# Create the MLT bindings for Python using SWIG and the MLT/MLT++ source code
subprocess.call("swig -c++ -I/usr/include/mlt++ -I/usr/include/mlt -python mlt.i", shell=True)
subprocess.call("g++ -fPIC -D_GNU_SOURCE -c -rdynamic -pthread -I../.. -I/usr/include/mlt -I/usr/include/mlt++ -I/usr/include/python%s mlt_wrap.cxx" % py_version, shell=True)
subprocess.call("gcc -shared mlt_wrap.o -L/usr/include/mlt++ -lmlt++ -o _mlt.so", shell=True)
subprocess.call("cp mlt.py _mlt.so mlt_wrap.o mlt/", shell=True)

print "Finished Generating SWIG Bindings for MLT"
		 

