#	MLT Python Bindings is a program that allows Python to use the MLT video editing
#	framework to edit videos.
#	
#	This file is part of OpenShot Video Editor (http://launchpad.net/openshot/).
#	Copyright (C) 2009  Jonathan Thomas
#
#	OpenShot Video Editor is free software: you can redistribute it and/or modify
#	it under the terms of the GNU General Public License as published by
#	the Free Software Foundation, either version 3 of the License, or
#	(at your option) any later version.
#
#	OpenShot Video Editor is distributed in the hope that it will be useful,
#	but WITHOUT ANY WARRANTY; without even the implied warranty of
#	MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
#	GNU General Public License for more details.
#
#	You should have received a copy of the GNU General Public License
#	along with OpenShot Video Editor.  If not, see <http://www.gnu.org/licenses/>.

VERSION             = "1.0.0"
DATE                = "20100206180000"
NAME                = 'MLT Python Bindings'
GPL_VERSION         = '3'
SUPPORTED_LANGUAGES = ['English']

# names of all contributers, using 'u' for unicode encoding
JT   = {'name': u'Jonathan Thomas', 'email': 'jonathan.oomph@gmail.com'}
DD   = {'name': u'Dan Dennedy', 'email': 'mlt-devel@lists.sourceforge.net'}


#credits
CREDITS = {
    'code'          : [DD, JT],
    'documentation' : [DD],
    'translation'   : [DD],
}

SETUP   = {
    'name'              : NAME,
    'version'           : VERSION,
    'author'            : JT['name'] + ' and others',
    'author_email'      : JT['email'],
    'maintainer'        : JT['name'],
    'maintainer_email'  : JT['email'],
    'url'               : 'http://www.mltframework.org',
    'license'           : 'GNU GPL v.' + GPL_VERSION,
    'description'       : 'Python bindings for the MLT video editing framework.',
    'long_description'  : 'The Python bindings for MLT allow you to edit video files with the Python programming language.\n\n',

# see http://pypi.python.org/pypi?%3Aaction=list_classifiers
    'classifiers'       : [          
                           'Development Status :: 5 - Production/Stable',
                           'Environment :: Console',
                           'Intended Audience :: Developers',
                           'License :: OSI Approved :: GNU General Public License (GPL)',
                           'Operating System :: OS Independent',
                           'Operating System :: POSIX :: Linux',
                           'Programming Language :: Python',
                           'Topic :: Artistic Software',
                           'Topic :: Multimedia :: Video :: Non-Linear Editor',] +
                          ['Natural Language :: ' + language for language in SUPPORTED_LANGUAGES
                          ],
}


