#!/usr/bin/env python
#	MLT Python Bindings is a program that allows Python to use the MLT video editing
#	framework to edit videos.
#	
#	This file is part of OpenShot Video Editor (http://launchpad.net/openshot/).
#	Copyright (C) 2009  Jonathan Thomas
#
#	OpenShot Video Editor is free software: you can redistribute it and/or modify
#	it under the terms of the GNU General Public License as published by
#	the Free Software Foundation, either version 3 of the License, or
#	(at your option) any later version.
#
#	OpenShot Video Editor is distributed in the hope that it will be useful,
#	but WITHOUT ANY WARRANTY; without even the implied warranty of
#	MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
#	GNU General Public License for more details.
#
#	You should have received a copy of the GNU General Public License
#	along with OpenShot Video Editor.  If not, see <http://www.gnu.org/licenses/>.

import glob, os, sys, subprocess
from distutils.core import setup
import info

print "Execution path: %s" % os.path.abspath(__file__)

# Boolean: running as root?
ROOT = os.geteuid() == 0
# For Debian packaging it could be a fakeroot so reset flag to prevent execution of
# system update services for Mime and Desktop registrations.
# The debian/openshot.postinst script must do those.
if not os.getenv("FAKEROOTKEY") == None:
	print "NOTICE: Detected execution in a FakeRoot so disabling calls to system update services."
	ROOT = False

os_files = []

# generate Python Bindings for MLT
# Requires these packages: libmlt++-dev, libmlt-dev, python2.6-dev
subprocess.call("python generate_bindings.py", shell=True)

# Add all the mlt files that are needed in the Python path
mlt_files = ['mlt.py', '_mlt.so', 'mlt_wrap.o']

# Call the main Distutils setup command
# -------------------------------------
dist = setup(
	 packages	 = ['mlt',],
	 package_data = {   
			'mlt' : mlt_files,
	 		},
	 data_files = os_files,
	 **info.SETUP
)
# -------------------------------------

if ROOT and dist != None:

	sys.stdout.write("\n-----------------------------------------------")
	sys.stdout.write("\nInstallation Finished!")
	sys.stdout.write("\nStart Python Shell ($ python), and type (>> import mlt).")
	sys.stdout.write("\n-----------------------------------------------\n")

